Artifact Stores - Create Or Update
Yapıt deposu oluşturur veya güncelleştirir.
PUT https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.HybridNetwork/publishers/{publisherName}/artifactStores/{artifactStoreName}?api-version=2023-09-01
URI Parametreleri
| Name | İçinde | Gerekli | Tür | Description |
|---|---|---|---|---|
|
artifact
|
path | True |
string maxLength: 64pattern: ^[a-zA-Z0-9][a-zA-Z0-9_-]*$ |
Yapıt deposunun adı. |
|
publisher
|
path | True |
string maxLength: 64pattern: ^[a-zA-Z0-9][a-zA-Z0-9_-]*$ |
Yayıncının adı. |
|
resource
|
path | True |
string minLength: 1maxLength: 90 |
Kaynak grubunun adı. Ad büyük/küçük harfe duyarsız. |
|
subscription
|
path | True |
string minLength: 1 |
Hedef aboneliğin kimliği. |
|
api-version
|
query | True |
string minLength: 1 |
Bu işlem için kullanılacak API sürümü. |
İstek Gövdesi
| Name | Gerekli | Tür | Description |
|---|---|---|---|
| location | True |
string |
Kaynağın bulunduğu coğrafi konum |
| properties |
ArtifactStores özellikleri. |
||
| tags |
object |
Kaynak etiketleri. |
Yanıtlar
| Name | Tür | Description |
|---|---|---|
| 200 OK |
Oluşturma veya güncelleştirme işlemi başarıyla tamamlandı. İşlem, sonuçta elde edilen ArtifactStore alt kaynağını döndürür. |
|
| 201 Created |
Oluşturma veya güncelleştirme işlemi başarıyla tamamlandı. İşlem, sonuçta elde edilen ArtifactStore alt kaynağını döndürür. |
|
| Other Status Codes |
İşlemin neden başarısız olduğunu açıklayan hata yanıtı. |
Güvenlik
azure_auth
Azure Active Directory OAuth2 Akışı.
Tür:
oauth2
Akış:
implicit
Yetkilendirme URL’si:
https://login.microsoftonline.com/common/oauth2/authorize
Kapsamlar
| Name | Description |
|---|---|
| user_impersonation | kullanıcı hesabınızın kimliğine bürünme |
Örnekler
Create or update an artifact store of publisher resource
Örnek isteği
PUT https://management.azure.com/subscriptions/subid/resourceGroups/rg/providers/Microsoft.HybridNetwork/publishers/TestPublisher/artifactStores/TestArtifactStore?api-version=2023-09-01
{
"location": "eastus",
"properties": {
"storeType": "AzureContainerRegistry",
"replicationStrategy": "SingleReplication",
"managedResourceGroupConfiguration": {
"name": "testRg",
"location": "eastus"
}
}
}
Örnek yanıt
{
"name": "TestArtifactStore",
"id": "/subscriptions/subid/providers/microsoft.hybridnetwork/publishers/TestPublisher/artifactStores/TestArtifactStore",
"type": "microsoft.hybridnetwork/publishers/artifactStores",
"location": "eastus",
"properties": {
"storeType": "AzureContainerRegistry",
"replicationStrategy": "SingleReplication",
"storageResourceId": "TestResourceId",
"managedResourceGroupConfiguration": {
"name": "testRg",
"location": "eastus"
}
}
}
{
"name": "TestArtifactStore",
"id": "/subscriptions/subid/providers/microsoft.hybridnetwork/publishers/TestPublisher/artifactStores/TestArtifactStore",
"type": "microsoft.hybridnetwork/publishers/artifactStores",
"location": "eastus",
"properties": {
"storeType": "AzureContainerRegistry",
"replicationStrategy": "SingleReplication",
"storageResourceId": "TestResourceId",
"managedResourceGroupConfiguration": {
"name": "testRg",
"location": "eastus"
}
}
}
Tanımlar
| Name | Description |
|---|---|
|
Artifact |
Çoğaltma stratejisi. |
|
Artifact |
Yapıt deposu özellikleri. |
|
Artifact |
Yapıt deposu özellikleri. |
|
Artifact |
Yapıt deposu türü. |
|
created |
Kaynağı oluşturan kimliğin türü. |
|
Error |
Kaynak yönetimi hatası ek bilgileri. |
|
Error |
Hata ayrıntısı. |
|
Error |
Hata yanıtı |
|
Managed |
|
|
Provisioning |
Geçerli sağlama durumu. |
|
system |
Kaynağın oluşturulması ve son değiştirilmesiyle ilgili meta veriler. |
ArtifactReplicationStrategy
Çoğaltma stratejisi.
| Değer | Description |
|---|---|
| Unknown | |
| SingleReplication |
ArtifactStore
Yapıt deposu özellikleri.
| Name | Tür | Description |
|---|---|---|
| id |
string |
Kaynağın tam kaynak kimliği. Örn - /subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName} |
| location |
string |
Kaynağın bulunduğu coğrafi konum |
| name |
string |
Kaynağın adı |
| properties |
ArtifactStores özellikleri. |
|
| systemData |
createdBy ve modifiedBy bilgilerini içeren Azure Resource Manager meta verileri. |
|
| tags |
object |
Kaynak etiketleri. |
| type |
string |
Kaynağın türü. Örneğin, "Microsoft.Compute/virtualMachines" veya "Microsoft.Storage/storageAccounts" |
ArtifactStorePropertiesFormat
Yapıt deposu özellikleri.
| Name | Tür | Description |
|---|---|---|
| managedResourceGroupConfiguration | ||
| provisioningState |
Uygulama grupları kaynağının sağlama durumu. |
|
| replicationStrategy |
Çoğaltma stratejisi. |
|
| storageResourceId |
string |
Oluşturulan depolama kaynağı kimliği |
| storeType |
Yapıt deposu türü. |
ArtifactStoreType
Yapıt deposu türü.
| Değer | Description |
|---|---|
| Unknown | |
| AzureContainerRegistry | |
| AzureStorageAccount |
createdByType
Kaynağı oluşturan kimliğin türü.
| Değer | Description |
|---|---|
| User | |
| Application | |
| ManagedIdentity | |
| Key |
ErrorAdditionalInfo
Kaynak yönetimi hatası ek bilgileri.
| Name | Tür | Description |
|---|---|---|
| info |
object |
Ek bilgiler. |
| type |
string |
Ek bilgi türü. |
ErrorDetail
Hata ayrıntısı.
| Name | Tür | Description |
|---|---|---|
| additionalInfo |
Hata ek bilgileri. |
|
| code |
string |
Hata kodu. |
| details |
Hata ayrıntıları. |
|
| message |
string |
Hata iletisi. |
| target |
string |
Hata hedefi. |
ErrorResponse
Hata yanıtı
| Name | Tür | Description |
|---|---|---|
| error |
Hata nesnesi. |
ManagedResourceGroupConfiguration
| Name | Tür | Description |
|---|---|---|
| location |
string |
Yönetilen kaynak grubu konumu. |
| name |
string |
Yönetilen kaynak grubu adı. |
ProvisioningState
Geçerli sağlama durumu.
| Değer | Description |
|---|---|
| Unknown | |
| Succeeded | |
| Accepted | |
| Deleting | |
| Failed | |
| Canceled | |
| Deleted | |
| Converging |
systemData
Kaynağın oluşturulması ve son değiştirilmesiyle ilgili meta veriler.
| Name | Tür | Description |
|---|---|---|
| createdAt |
string (date-time) |
Kaynak oluşturma (UTC) zaman damgası. |
| createdBy |
string |
Kaynağı oluşturan kimlik. |
| createdByType |
Kaynağı oluşturan kimliğin türü. |
|
| lastModifiedAt |
string (date-time) |
Kaynağın son değişikliğinin zaman damgası (UTC) |
| lastModifiedBy |
string |
Kaynağı en son değiştiren kimlik. |
| lastModifiedByType |
Kaynağı en son değiştiren kimlik türü. |